Subject: Re: bug#39277: 26.3; Tcl font lock does not understand quoting

From: Stefan Monnier <[email-masked]>
Date: Tue, 03 Nov 2020 16:45:44 -0500

> i stumbled upon a not-so-rare case where this fix breaks a previously
> valid syntax locking. Example:
>
> set a "Testing: [split "192.168.1.1/24" "/"] address"
>
> the closing ] is marked as unmatched (no matching parenthesis found)

Oh, right, that's like the `...` inside "..." in sh.
I had completely forgotten about it.

> i still consider the previously applied fix as an overall improvement,
> so perhaps i should open a new bug report for this problem?

I think so, yes (but if so, please send me the bugnb).

The old code handled it differently but not correctly either (in this
case the breakage was less annoying, and maybe it's even the case in
general, but it's largely by accident), so it's really a separate issue.

        Stefan